import pytest
import importlib
code = importlib.import_module('tabs.generic_callbacks')

# =======================START CARET TESTS ===========================
def test_rotate_section_caret():
    assert code.rotate_section_caret(True) == {'-ms-transform': 'rotate(0deg)', '-webkit-transform': 'rotate(0deg)', 'transform': 'rotate(0deg)'}
    assert code.rotate_section_caret(False) == {'transform': 'rotate(180deg)', '-ms-transform': 'rotate(180deg)', '-webkit-transform': 'rotate(180deg)'}

# =======================END CARET TESTS ===========================
